I feel bad for not updating this project but I have been experiencing
difficulty getting my CVS to compile owing to some glib-2.0 problems (I
have version 2.10.3 but for some reason 'configure' fails to recognize
this and the test program fails to compile if I use the
--disable-glibtest switch). I successfully accomplished a compile about
a month ago but broke something since then. 

If necessary, I could generate a "blind patch" which someone else would
need to test. As Sven stated, there is not a great deal left to do. I
think that the result of discussions in the previous thread
(http://www.mail-archive.com/gimp-developer%40lists.xcf.berkeley.edu/msg11301.html)
amount to:

1) Remove any non-blurb patch code: mainly concerning
'gimp-layer-set-preserve-trans' and color specifications.

2) Change the instances where I employed the term 'selection frame'
(mainly the "distress selection" script, if I recall).

3) Address the changes which employ the term "alpha object" to describe
an operand which is defined by the alpha channel not be zero. There are
several of these but the term is consistently used so that a simple
substitution would work. I am still unsure what term should be used, my
preference at this point would be to alter the wording from (for example):

  "Fill an alpha object or selection ..."

to 

  "Fill a selection (or an alpha) ..."

The parenthetical serves as an indication of additional functionality;
although the functionality is not very well described.

4) Remove the patches that marked the menu path for language translation
(by prepending an underscore).

I will of course try to get my CVS working again but do not wish to hold
things up and I am skeptical as to whether I could provide a tested
patch within even a week's time (I have other things occupying my time
this week). 

> Hi,
> 
> we still need the Script-Fu blurbs reviewed for GIMP 2.4.
> 
>   http://bugzilla.gnome.org/show_bug.cgi?id=351283
> 
> Come on, guys, this is almost done. Someone just needs to pick up the
> patch from Saulgoode
>
(http://flashingtwelve.brickfilms.com/GIMP/Bugzilla/patch-script-fu-new-blurbs)
> and port just the changes to the blurbs to the CVS HEAD branch or the
> 2.3.11 release. This would really help us a lot to get ready for 2.4.

_______________________________________________
Gimp-developer mailing list
Gimp-developer@lists.XCF.Berkeley.EDU
https://lists.XCF.Berkeley.EDU/mailman/listinfo/gimp-developer

Reply via email to